For the complete documentation index, see llms.txt.
Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/shipment/replace
Details
Redo a printed or shipped order
Replace Shipment Request
Replace Shipment Response
Request body
{
"order_id": 128433983
}Response examples
Replace Shipment (200)
{
"order": {
"order_id": 128434172,
"order_date": "2020-11-09T21:41:25.5840613",
"order_number": "1604958085",
"reference": "Online Order",
"carrier": "DHL",
"carrier_name": "DHL Express",
"carrier_service_code": "WPX",
"shipping_method": "Express Shipping",
"signature_required": true,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Aluth",
"email": "chinthaka.samarasinghe@starshipit.com",
"phone": "023343433",
"building": "Federal Building",
"company": "Startshipit",
"street": "23 Batman St",
"suburb": "West Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3003",
"country": "Australia"
},
"destination": {
"name": "Felicia Beatty",
"email": "Amiya_Mertz63@hotmail.com",
"phone": "0290988227",
"building": "HBO Building",
"company": "Stiedemann and Sons",
"street": "45 Remuera Road",
"suburb": "Remuera",
"city": "Auckland",
"state": "",
"post_code": "1050",
"country": "New Zealand",
"delivery_instructions": ""
},
"items": [
{
"item_id": 626385770,
"description": "Mobile Phone",
"sku": "MOBILE",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125.0
},
{
"item_id": 626385771,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.05,
"value": 20.0
}
],
"packages": [
{
"package_id": 145727005,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Outgoing",
"contents": "Shirt Blue L"
},
{
"package_id": 145727006,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Return",
"contents": "Shirt Blue L"
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True"
},
{
"metafield_key": "SOURCE",
"value": "API"
},
{
"metafield_key": "DTP",
"value": "False"
},
{
"metafield_key": "INSURANCE",
"value": "False"
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00"
},
{
"metafield_key": "SIGNATURE",
"value": "True"
},
{
"metafield_key": "ATL",
"value": "False"
},
{
"metafield_key": "BATTERY",
"value": "False"
},
{
"metafield_key": "SATURDAY",
"value": "False"
}
],
"events": [
{
"time": "2020-11-09T21:42:36.4850816",
"category": "General",
"method": "Order saved.",
"description": "Modified"
},
{
"time": "2020-11-09T21:42:36.5007076",
"category": "General",
"method": "Redo Shipment",
"description": "This order has been created from 128433983 which is now archived."
}
],
"declared_value": 145.00,
"archived": false,
"manifest_number": 0,
"address_validation": "Valid",
"create_return": true,
"dtp": false,
"export_type": "",
"add_insurance": false,
"insurance_value": 0.00,
"plt": false,
"type": "Outgoing",
"platform": "API",
"status": "Saved",
"manifested": false
},
"success": true
}